VERSION 5.00
Object = "{248DD890-BB45-11CF-9ABC-0080C7E7B78D}#1.0#0"; "mswinsck.ocx"
Begin VB.Form Server 
   Caption         =   "Communicate With ECM-1220 Server"
   ClientHeight    =   4770
   ClientLeft      =   165
   ClientTop       =   855
   ClientWidth     =   13380
   Icon            =   "Read Res Server.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4770
   ScaleWidth      =   13380
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command3 
      Caption         =   "Disable Trg'd Data"
      Height          =   315
      Left            =   7620
      TabIndex        =   20
      Top             =   3870
      Width           =   1605
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Enable Trig'd Data"
      Height          =   315
      Left            =   5850
      TabIndex        =   19
      Top             =   3870
      Width           =   1635
   End
   Begin VB.Timer Timer1 
      Interval        =   800
      Left            =   5610
      Top             =   120
   End
   Begin VB.Frame Frame1 
      Caption         =   "Select Command to Execute"
      Height          =   4365
      Left            =   9840
      TabIndex        =   9
      Top             =   180
      Width           =   3375
      Begin VB.OptionButton Option1 
         Caption         =   "Use command in text box"
         Height          =   345
         Index           =   8
         Left            =   240
         TabIndex        =   18
         Top             =   3870
         Width           =   2805
      End
      Begin VB.OptionButton Option1 
         Caption         =   "All Data .... in same order as above, seperated by a TAB. (getall)"
         Height          =   495
         Index           =   7
         Left            =   300
         TabIndex        =   17
         Top             =   3240
         Value           =   -1  'True
         Width           =   2925
      End
      Begin VB.OptionButton Option1 
         Caption         =   "CH2 Current, Amps (getamp2)"
         Height          =   315
         Index           =   6
         Left            =   330
         TabIndex        =   16
         Top             =   2880
         Width           =   2835
      End
      Begin VB.OptionButton Option1 
         Caption         =   "CH1 Current, Amps (getamp1)"
         Height          =   285
         Index           =   5
         Left            =   330
         TabIndex        =   15
         Top             =   2490
         Width           =   3015
      End
      Begin VB.OptionButton Option1 
         Caption         =   "Line Voltage (getvolt)"
         Height          =   285
         Index           =   4
         Left            =   330
         TabIndex        =   14
         Top             =   2040
         Width           =   2595
      End
      Begin VB.OptionButton Option1 
         Caption         =   "CH2 Kilowatt-Hour (getkwh2)"
         Height          =   255
         Index           =   3
         Left            =   330
         TabIndex        =   13
         Top             =   1650
         Width           =   2775
      End
      Begin VB.OptionButton Option1 
         Caption         =   "CH Kilowatt-Hour (getkwh1)"
         Height          =   285
         Index           =   2
         Left            =   360
         TabIndex        =   12
         Top             =   1170
         Width           =   2835
      End
      Begin VB.OptionButton Option1 
         Caption         =   "CH2 Power, Watts (getp2)"
         Height          =   315
         Index           =   1
         Left            =   360
         TabIndex        =   11
         Top             =   750
         Width           =   2625
      End
      Begin VB.OptionButton Option1 
         Caption         =   "CH1 Power, Watts (getp1)"
         Height          =   285
         Index           =   0
         Left            =   180
         TabIndex        =   10
         Top             =   330
         Width           =   2325
      End
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Clear Box"
      Height          =   345
      Left            =   120
      TabIndex        =   8
      Top             =   4320
      Width           =   1065
   End
   Begin MSWinsockLib.Winsock sockMain 
      Left            =   2640
      Top             =   2160
      _ExtentX        =   741
      _ExtentY        =   741
      _Version        =   393216
   End
   Begin VB.CommandButton cmdSend 
      Caption         =   "&Send"
      Height          =   315
      Left            =   4560
      TabIndex        =   7
      Top             =   3870
      Width           =   1095
   End
   Begin VB.TextBox txtSend 
      Height          =   345
      Left            =   120
      TabIndex        =   6
      Top             =   3840
      Width           =   4335
   End
   Begin VB.TextBox txtStatus 
      Height          =   3135
      Left            =   60
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   5
      Top             =   600
      Width           =   9675
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "&Connect"
      Height          =   315
      Left            =   4590
      TabIndex        =   4
      Top             =   120
      Width           =   795
   End
   Begin VB.TextBox txtPort 
      Alignment       =   2  'Center
      Height          =   315
      Left            =   3450
      TabIndex        =   3
      Text            =   "8083"
      Top             =   120
      Width           =   645
   End
   Begin VB.TextBox txtHost 
      Alignment       =   2  'Center
      Height          =   285
      Left            =   720
      TabIndex        =   1
      Text            =   "192.168.2.5"
      Top             =   120
      Width           =   1725
   End
   Begin VB.Label Label2 
      Caption         =   "Port:"
      Height          =   255
      Left            =   2760
      TabIndex        =   2
      Top             =   150
      Width           =   405
   End
   Begin VB.Label Label1 
      Caption         =   "Host:"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   495
   End
   Begin VB.Menu MnuAbout 
      Caption         =   "About"
   End
End
Attribute VB_Name = "Server"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdConnect_Click()

Dim TimeOut As Integer

    sockMain.Close
    DLY (1)
    
    If sockMain.State = 0 Then
    sockMain.RemoteHost = txtHost.Text
    sockMain.RemotePort = txtPort.Text
    sockMain.Connect
    End If
    DLY (1)
    
    With txtHost
        If sockMain.State = 7 Then
            .BackColor = vbGreen
            .ForeColor = vbBlack
        Else
            .BackColor = vbRed
            .ForeColor = vbWhite
        End If
    End With
End Sub

Private Sub cmdSend_Click()

Dim T

    If sockMain.State > 7 Then sockMain.Close: DLY (1)
    
    If sockMain.State = 0 Then Call cmdConnect_Click: DLY (1)
    
    If sockMain.State = 7 Then
    
    
    For T = 0 To Option1.UBound
        If Option1(T).Value = True Then Exit For
    Next T
    
    
    Select Case T
        Case 0
            txtSend.Text = "getp1"
        Case 1
            txtSend.Text = "getp2"
        Case 2
            txtSend.Text = "getkwh1"
        Case 3
            txtSend.Text = "getkwh2"
        Case 4
            txtSend.Text = "getvolt"
        Case 5
            txtSend.Text = "getamp1"
        Case 6
            txtSend.Text = "getamp2"
        Case 7
            txtSend.Text = "getall"
        Case 8
            'do nothing
            
    End Select
    
    
    sockMain.SendData txtSend.Text & vbCr
    

    End If
    
End Sub

Private Sub Command1_Click()
    txtStatus.Text = ""     'clear the text box
End Sub

Private Sub Command2_Click()
    
    If sockMain.State > 7 Then sockMain.Close: DLY (1)
    If sockMain.State = 0 Then Call cmdConnect_Click: DLY (1)
    
    If sockMain.State = 7 Then
        txtSend.Text = "setTrigON"
        sockMain.SendData txtSend.Text & vbCr
    End If
    
End Sub

Private Sub Command3_Click()
    If sockMain.State > 7 Then sockMain.Close: DLY (1)
    
    If sockMain.State = 0 Then Call cmdConnect_Click: DLY (1)
    
    If sockMain.State = 7 Then
    
        txtSend.Text = "setTrigOFF"
    
        sockMain.SendData txtSend.Text & vbCr
    End If
    
End Sub

Private Sub Form_Load()
    
Dim T

    'align option buttons
    
    Option1(0).Height = 380
    For T = 1 To 8
        Option1(T).Left = Option1(0).Left
        Option1(T).Height = Option1(0).Height
        Option1(T).Top = Option1(0).Top + T * (Option1(0).Height * 1.1)
    Next T
    
End Sub

Private Sub Option2_Click()
    
End Sub

Private Sub MnuAbout_Click()
    MsgBox "Demo program to read data information from the ECM-1220 resident server program. ver 1.01 beta"
    
End Sub

Private Sub sockMain_DataArrival(ByVal bytesTotal As Long)
    Dim strData As String
    
    sockMain.GetData strData, vbString
    txtStatus.Text = txtStatus.Text & strData
        
End Sub

Public Sub DLY(Sec As Integer)  'seconds time delay
Dim TimeOut As Integer

    TimeOut = Second(Now) + Sec
    If TimeOut > 59 Then TimeOut = TimeOut - 60
    
    Do While TimeOut <> Second(Now)
        DoEvents
    Loop

End Sub

Private Sub Timer1_Timer()  'refresh state
    With txtHost
        If sockMain.State = 7 Then
            .BackColor = vbGreen
            .ForeColor = vbBlack
        Else
            .BackColor = vbRed
            .ForeColor = vbWhite
        End If
    End With
End Sub
